Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Enum AuthenticationMethod1Code

java.lang.Object
java.lang.Enum<AuthenticationMethod1Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_06.AuthenticationMethod1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationMethod1Code>`, `java.lang.constant.Constable`

public enum AuthenticationMethod1Code extends Enum<AuthenticationMethod1Code>

Java class for AuthenticationMethod1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="AuthenticationMethod1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="UKNW"/>
         <enumeration value="BYPS"/>
         <enumeration value="NPIN"/>
         <enumeration value="FPIN"/>
         <enumeration value="CPSG"/>
         <enumeration value="PPSG"/>
         <enumeration value="MANU"/>
         <enumeration value="MERC"/>
         <enumeration value="SCRT"/>
         <enumeration value="SNCT"/>
         <enumeration value="SCNL"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYPS`
`CPSG`
`FPIN`
`MANU`
`MERC`
`NPIN`
`PPSG`
`SCNL`
`SCRT`
`SNCT`
`UKNW`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticationMethod1Code`
`fromValue(String v)`
`String`
`value()`
`static AuthenticationMethod1Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthenticationMethod1Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UKNW

public static final AuthenticationMethod1Code UKNW

### BYPS

public static final AuthenticationMethod1Code BYPS

### NPIN

public static final AuthenticationMethod1Code NPIN

### FPIN

public static final AuthenticationMethod1Code FPIN

### CPSG

public static final AuthenticationMethod1Code CPSG

### PPSG

public static final AuthenticationMethod1Code PPSG

### MANU

public static final AuthenticationMethod1Code MANU

### MERC

public static final AuthenticationMethod1Code MERC

### SCRT

public static final AuthenticationMethod1Code SCRT

### SNCT

public static final AuthenticationMethod1Code SNCT

### SCNL

public static final AuthenticationMethod1Code SCNL

## Method Details

### values

public static AuthenticationMethod1Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthenticationMethod1Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static AuthenticationMethod1Code fromValue(String v)